Subject: Re: git am and duplicate signatures

From: Joe Perches <[email-masked]>
Date: Tue, 30 Aug 2016 10:41:19 -0700

On Tue, 2016-08-30 at 10:34 -0700, Junio C Hamano wrote:
> Joe Perches <[email-masked]> writes:
> > On Tue, 2016-08-30 at 09:54 -0700, Junio C Hamano wrote:
> > > 
> > > Support for more generic footers was supposed to come when the
> > > "interpret-trailers" topic started, but the author of the topic
> > > seems to have lost interest before the mechanism has become ready to
> > > be integrated in the workflow commands like "am", "commit", "rebase"
> > > etc., which is unfortunate.
> > I think adding at least an option to git send-email
> > allowing auto-cc's for all
> > 	"<foo>-by: [name] <address>"
> > lines in the commit log would be useful.
> > 
> > Today, only "Signed-off-by" and "CC" lines are
> > added to cc's.
> > 
> > I've always called these lines "-by:" lines
> > "signatures", but perhaps there's a better name.
> I think we casually call them footers (as they are counter-part to
> "headers"), or trailers.

I think they are neither footers, which would relate
more to the email headers, nor trailers.

Maybe something like traces or chains.

btw: I submitted this awhile ago

http://www.spinics.net/lists/git/msg162269.html